Subject: Re: [Ecrit] WGLC on draft-ietf-ecrit-framework-05

From: "Brian Rosen" <[email-masked]>
Date: Fri, 27 Jun 2008 15:53:56 -0400

I'm editing -framework and -phonebcp and I have a problem implementing this
decision:

Currently, there are no other requirements on LoST servers.  All -phonebcp
requirements are prefaced by the entity to whom they apply (ED- for end
devices, AN for access network, SP for service provider and INT for
intermediate devices).  I don't have a prefix for the LoST server.  It's not
clear who will run the LoST server in every jurisdiction.  In North America,
the "9-1-1 Authority" will provide a LoST server, but an access network, or
a calling network can arrange a local copy of the server for its use.

So my problem is, what prefix do I put on the requirement that the LoST
server MUST return dial strings for emergency services?

I don't have a good answer, but if no one else has a better answer I will
label it "AN", and note that it applies to whomever runs the LoST server,
who may or may not be the access network.

Brian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Brian Rosen
> Sent: Friday, March 21, 2008 12:26 PM
> To: 'Henning Schulzrinne'
> Cc: [email-masked]
> Subject: Re: [Ecrit] WGLC on draft-ietf-ecrit-framework-05
> 
> Anyone else on the list have a problem in making this a must (small must
> in
> framework, MUST in phonebcp)?
> 
> Brian
> 
> -----Original Message-----
> From: Henning Schulzrinne [mailto:[email-masked]]
> Sent: Friday, March 21, 2008 11:06 AM
> To: Brian Rosen
> Cc: 'Karl Heinz Wolf'; 'Hannes Tschofenig'; [email-masked]
> Subject: Re: [Ecrit] WGLC on draft-ietf-ecrit-framework-05
> 
> 
> On Mar 21, 2008, at 10:41 AM, Brian Rosen wrote:
> 
> > Thanks a lot for your comments.  I agree with all of your comments
> > except
> > the page 10 LoST return of dialstring may/must.  I don't think it's
> > possible
> > to make it MUST because there are systems such as 3GPP that work
> > without it.
> > I could see a SHOULD, where the exception is a closed system where
> > the LoST
> > operator knows for certain that all devices that query it have the
> > correct
> > dial string via some other mechanism.
> >
> > Henning, does that sound about right to you?
> >
> 
> I'm ok with documenting a clear exception, but I wonder whether there
> is harm in requiring that LoST always returns the dial string, for
> several reasons:
> 
> - You never know who will connect to a server, even if you believe
> that it can only be accessed from within a certain physical network.
> This also tends to change over time; upgrading servers and data sets
> at that time seems more error-prone, easy to forget and painful.
> 
> - It doesn't seem particularly onerous to include this information.
> It's not secret, it's not hard to maintain and it doesn't change.
> 
> - Longer term, IMS may get more open (see Verizon...), so it may be
> harder to make the distinction.
> 
> - It seems difficult to describe the exception in a way that covers
> what we want without encouraging "bad" behavior.
> 
> Thus, I think interoperability and robustness argue for MUST. If
> certain specialized systems end up ignoring the information in favor
> of local configuration, that's a separate problem. Given that
> disagreement over the dialstring seems unlikely and obvious, I'd
> rather have two sources than none.
> 
> Henning
> 
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ecrit

_______________________________________________
Ecrit mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ecrit